import 'package:flutter/material.dart';

import '../../components/welcome_text_field.dart';

class WelcomeScreen extends StatelessWidget {
  const WelcomeScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      title: 'Welcome Screen',
      home: WelcomeScreenPage(),
    );
  }
}

class WelcomeScreenPage extends StatefulWidget {
  const WelcomeScreenPage({super.key});

  @override
  State<StatefulWidget> createState() => WelcomeScreenPageState();
}

class WelcomeScreenPageState extends State<WelcomeScreenPage> {

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Welcome Screen'),
      ),
      body: const SizedBox(
        height: double.infinity,
        width: double.infinity,
        child: SingleChildScrollView(
            child: Form(
              child: WelcomePageStateTextFieldState(),
            )
        ),
      )
    );
  }
}
